Name:           nagstamon
Version:        2.0.1
Release:        %mkrel 1
Summary:        Nagios status monitor for the desktop
License:        GPLv2
Group:          Monitoring
Url:            http://nagstamon.ifw-dresden.de/
Source:         http://sourceforge.net/projects/nagstamon/files/nagstamon/nagstamon%200.9.9/Nagstamon-%{version}.tar.gz
BuildRequires:  python3-devel
BuildRequires:  python3-qt5
Requires:       python3-beautifulsoup4
Requires:       python3-psutil
BuildArch:      noarch

%description
Nagstamon is a Nagios status monitor which takes place in systray or on desktop
(GNOME, KDE, Windows) as floating statusbar to inform you in realtime about the
status of your Nagios and derivatives monitored network. It allows to connect
to multiple Nagios, Icinga, Opsview, Op5, Check_MK/Multisite and Centreon
servers.

%prep
%setup -q -n Nagstamon

%build
python3 setup.py build

%install
python3 setup.py install \
    --root=%{buildroot} \
    --install-lib=%{python3_sitelib}

#chmod +x %{buildroot}/%{python_sitelib}/Nagstamon/Server/Multisite.py
mv %{buildroot}/%{_bindir}/nagstamon.py %{buildroot}/%{_bindir}/nagstamon

# desktop stuff
mkdir -p %{buildroot}%{_datadir}/{applications,pixmaps}
install -m 644 Nagstamon/resources/nagstamon.svg \
    %{buildroot}%{_datadir}/pixmaps/nagstamon.svg
install -m 644 Nagstamon/resources/nagstamon.desktop \
    %{buildroot}/%{_datadir}/applications/nagstamon.desktop

desktop-file-install \
  --dir=%{buildroot}%{_datadir}/applications \
  %{buildroot}/%{_datadir}/applications/nagstamon.desktop

%files
%doc ChangeLog COPYRIGHT LICENSE
%{_datadir}/pixmaps/nagstamon.svg
%{_datadir}/applications/nagstamon.desktop
%{python3_sitelib}/Nagstamon
%{_bindir}/nagstamon
%{_mandir}/man1/nagstamon.1*
%{python3_sitelib}/%{name}-%{version}-py%{python3_version}.egg-info


%changelog
* Sat Jan 14 2017 guillomovitch <guillomovitch> 2.0.1-1.mga6
+ Revision: 1081577
- new version 2.0.1

* Mon Feb 08 2016 umeabot <umeabot> 1.0.1-3.mga6
+ Revision: 946558
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.1-2.mga5
+ Revision: 741809
- Second Mageia 5 Mass Rebuild

* Tue Oct 07 2014 guillomovitch <guillomovitch> 1.0.1-1.mga5
+ Revision: 737334
- new version 1.0.1

* Sat Sep 27 2014 tv <tv> 1.0-3.mga5
+ Revision: 727469
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.0-2.mga5
+ Revision: 682792
- Mageia 5 Mass Rebuild

* Tue Aug 12 2014 guillomovitch <guillomovitch> 1.0-1.mga5
+ Revision: 661937
- new version 1.0

  + pterjan <pterjan>
    - Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.9.11-3.mga4
+ Revision: 542764
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.9.11-2.mga4
+ Revision: 497953
- Rebuild to add different pythonegg provides for python 2 and 3

* Wed Sep 11 2013 guillomovitch <guillomovitch> 0.9.11-1.mga4
+ Revision: 477729
- new version

* Sun Sep 01 2013 guillomovitch <guillomovitch> 0.9.10-3.mga4
+ Revision: 474075
- drop embedded beautifulsoup, use system one instead

* Fri Jul 19 2013 guillomovitch <guillomovitch> 0.9.10-2.mga4
+ Revision: 456242
- add pygtk dependency

* Wed Jul 17 2013 guillomovitch <guillomovitch> 0.9.10-1.mga4
+ Revision: 455145
- new version

* Wed Feb 06 2013 guillomovitch <guillomovitch> 0.9.9-1.mga3
+ Revision: 394817
- imported package nagstamon

